<?php

 /* script returns icecast v2.3.1 per mount listeners count (mount1=A2, mount2=A2stereo)
    script uses icecounter.php for xml data retrieval
    usage: "php mount_traffic.php"
    please note - this script is useful only if you don't have snmp daemon installed on the system.
    icacast refreshes its own counters every 3 to 5 seconds, moreover, parsing xml is not that fast as getting snmp info.
    author: amnesiac@netzond.com
 */
 
 include('icecounter.php');
 $m1='A2';
 $m2='A2stereo';
 $tags=array(
	    array($m1,'LISTENERS'),
	    array($m1,'BITRATE'),
	    array($m2,'LISTENERS'),
	    array($m2,'BITRATE')
	    );

 $data=retrieve($tags,true);
 $mtr1=$data[0]*$data[1];
 $mtr2=$data[2]*$data[3];
 
 printf("%s\n%s\n",$mtr1,$mtr2);
?>
